Get Route Map

Get Route Map

Retrieves a specific Route Map on a given Provider Gateway.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/routeMaps/{mapId}
COPY
Path Parameters
string
externalNetworkId
Required

externalNetworkId

string
mapId
Required

mapId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProviderGatewayRouteMap of type(s) application/json;version=39.1
This response body class contains all of the following: InlineProviderGatewayRouteMap0 , InlineProviderGatewayRouteMap1
{
    "id": "string",
    "name": "string",
    "description": "string",
    "bgpPermissionGroupRef": {
        "id": "urn:vcloud:bgpPermissionGroup:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "name": "string",
        "accessLevel": "string"
    },
    "matchCriteriaEntries": [
        {
            "type": "string",
            "action": "string",
            "asPathPrepend": "65546, 1.10",
            "localPreference": 0,
            "multiExitDiscriminator": 0,
            "preferGlobalIPv6NextHop": false,
            "weight": 0,
            "community": "NO_EXPORT 11:22:33",
            "communityListMatchCriteriaItems": [
                {
                    "operator": "string",
                    "communityListRef": {
                        "id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
                        "name": "string",
                        "type": "string"
                    },
                    "regexValue": "string"
                }
            ],
            "ipPrefixListMatchCriteriaItems": [
                {
                    "id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
                    "name": "string",
                    "type": "string"
                }
            ]
        }
    ],
    "version": {
        "version": 0
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/routeMaps/{mapId}